VERSION 5.00
Begin VB.Form frmMain 
   BorderStyle     =   3  'Fixed Dialog
   Caption         =   "Expression Evaluator"
   ClientHeight    =   2055
   ClientLeft      =   2445
   ClientTop       =   2805
   ClientWidth     =   3750
   ClipControls    =   0   'False
   LinkTopic       =   "Form1"
   PaletteMode     =   1  'UseZOrder
   ScaleHeight     =   2055
   ScaleWidth      =   3750
   Begin VB.CommandButton cmdExit 
      Cancel          =   -1  'True
      Caption         =   "E&xit"
      Height          =   375
      Left            =   2520
      TabIndex        =   5
      Top             =   1560
      Width           =   1095
   End
   Begin VB.TextBox txtResult 
      BackColor       =   &H8000000F&
      Height          =   285
      Left            =   120
      Locked          =   -1  'True
      TabIndex        =   3
      Top             =   1080
      Width           =   3495
   End
   Begin VB.TextBox txtExpression 
      Height          =   285
      Left            =   120
      TabIndex        =   1
      Top             =   360
      Width           =   3495
   End
   Begin VB.CommandButton cmdEvaluate 
      Caption         =   "E&valuate"
      Default         =   -1  'True
      Height          =   375
      Left            =   1320
      TabIndex        =   4
      Top             =   1560
      Width           =   1095
   End
   Begin VB.Label Label2 
      Caption         =   "Result:"
      Height          =   255
      Left            =   120
      TabIndex        =   2
      Top             =   840
      Width           =   1935
   End
   Begin VB.Label Label1 
      Caption         =   "&Expression:"
      Height          =   255
      Left            =   120
      TabIndex        =   0
      Top             =   120
      Width           =   1935
   End
End
Attribute VB_Name = "frmMain"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
'Demo form to demonstrate CEval class (see CEval.cls for further comments)
Option Explicit

Private eval As New CEval

'Evaluates the given expression
Private Sub cmdEvaluate_Click()
    'Trap errors
    On Error GoTo EvalError
    'Evaluate expression
    txtResult = eval.Evaluate(CStr(txtExpression))
    Exit Sub
EvalError:
    MsgBox Err.Description  'Display error message
    Exit Sub
End Sub

Private Sub Form_Load()
    Dim symbols As New CSymbolTable

    'Center form
    Move (Screen.Width - Width) / 2, (Screen.Height - Height) / 2
    'Define some sample symbols (not case sensitive)
    symbols.Add "One", 1
    symbols.Add "Five", 5
    symbols.Add "Ten", 10
    symbols.Add "Hundred", 100
    'Assign symbol table to our eval object
    Set eval.m_SymbolTable = symbols
    'In addition to assigning a new symbol table object,
    'we can also access eval's symbol table directly
    eval.m_SymbolTable.Add "Thousand", 1000

End Sub

Private Sub cmdExit_Click()
    Unload Me
End Sub

